Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class WebServiceRenderer.EditData

    java.lang.Object
      |
      +--oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
            |
            +--oracle.portal.provider.v2.webservice.WebServiceRenderer.DefaultableParameterBinding
                  |
                  +--oracle.portal.provider.v2.webservice.WebServiceRenderer.PromptedBinding
                        |
                        +--oracle.portal.provider.v2.webservice.WebServiceRenderer.EditData

Enclosing class:
  WebServiceRenderer

public static class WebServiceRenderer.EditData
extends WebServiceRenderer.PromptedBinding

Class representing a parameter bound to an item of customization data from a `NameValuePersonalizationObject`.

Constructor Summary
`WebServiceRenderer.EditData()`
`WebServiceRenderer.EditData(java.lang.String name, java.lang.String deflt, boolean isMandatory, java.lang.String prompt)` Constructs an `EditData` using the specified properties.

Method Summary
`java.lang.String` | `getActualValue(WebServiceRenderRequest wrr)` Evaluates this binding in the context of the given `WebServiceRenderRequest`, without taking into account any defaults.

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer.PromptedBinding
`getPrompt, setPrompt`

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer.DefaultableParameterBinding
`getValue, isMandatory, setDefault, setMandatory, setMandatory`

Methods inherited from class oracle.portal.provider.v2.webservice.WebServiceRenderer.ParameterBinding
`getName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceRenderer.EditData

    public WebServiceRenderer.EditData()

### WebServiceRenderer.EditData

    public WebServiceRenderer.EditData(java.lang.String name,
                                       java.lang.String deflt,
                                       boolean isMandatory,
                                       java.lang.String prompt)

  Constructs an `EditData` using the specified properties.

Parameters:
  `name` - the binding name
  `deflt` - default value to use when actual binding value is null or the empty string
  `isMandatory` - is this a mandatory parameter?
  `prompt` - is for user prompt message

Method Detail

### getActualValue

    public java.lang.String getActualValue(WebServiceRenderRequest wrr)
                                    throws PortletException

  Evaluates this binding in the context of the given `WebServiceRenderRequest`, without taking into account any defaults. In this case, the name of the binding is assumed to correspond to the name of an item of persisted edit data in the `NameValuePersonalizationObject` for the current portlet instance, if one exists. Note that only values of type `String` will be returned.

  Specified by:
    `getActualValue` in class `WebServiceRenderer.PromptedBinding`
  Returns:
    the value of this binding for the given `WebServiceRenderRequest` or `null` if one does not yet exist.
  Throws:
    `PortletException` - if an exception occurs while evaluating the binding.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.